- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# CVuMeter Class Reference

`#include <vstcontrols.h>`

Inheritance diagram for CVuMeter:

List of all members.

## Public Member Functions
| CVuMeter (const CRect &size, CBitmap *onBitmap, CBitmap *offBitmap, long nbLed, const long style=kVertical)
virtual | ~CVuMeter ()
virtual void | setDecreaseStepValue (float value)
virtual bool | attached (CView *parent)
| view is attached to a parent view
virtual bool | removed (CView *parent)
| view is removed from parent view
virtual void | draw (CDrawContext *pContext)
| called if the view should draw itself
virtual void | setDirty (const bool val=true)
| set the view to dirty so that it is redrawn in the next idle. Thread Safe !
void | setUseOffscreen (bool val=true)
bool | getUseOffscreen () const
## Protected Attributes
CBitmap * | onBitmap
CBitmap * | offBitmap
COffscreenContext * | pOScreen
long | nbLed
long | style
float | decreaseValue
bool | bUseOffscreen
CRect | rectOn
CRect | rectOff

## Constructor & Destructor Documentation

CVuMeter::CVuMeter | ( | const CRect & | size,
|  | CBitmap * | onBitmap,
|  | CBitmap * | offBitmap,
|  | long | nbLed,
|  | const long | style = `kVertical`
| ) |

CVuMeter::~CVuMeter | ( |  | ) | `[virtual]`

## Member Function Documentation

bool CVuMeter::attached | ( | CView * | parent | ) | `[virtual]`

| view is attached to a parent view Reimplemented from CView.

void CVuMeter::draw | ( | CDrawContext * | pContext | ) | `[virtual]`

| called if the view should draw itself Implements CControl.

bool CVuMeter::getUseOffscreen | ( |  | ) | const`[inline]`

bool CVuMeter::removed | ( | CView * | parent | ) | `[virtual]`

| view is removed from parent view Reimplemented from CView.

virtual void CVuMeter::setDecreaseStepValue | ( | float | value | ) | `[inline, virtual]`

void CVuMeter::setDirty | ( | const bool | val = `true` | ) | `[virtual]`

| set the view to dirty so that it is redrawn in the next idle. Thread Safe ! Reimplemented from CControl.

void CVuMeter::setUseOffscreen | ( | bool | val = `true` | ) |

## Member Data Documentation

bool CVuMeter::bUseOffscreen`[protected]`

float CVuMeter::decreaseValue`[protected]`

long CVuMeter::nbLed`[protected]`

CBitmap* CVuMeter::offBitmap`[protected]`

CBitmap* CVuMeter::onBitmap`[protected]`

COffscreenContext* CVuMeter::pOScreen`[protected]`

CRect CVuMeter::rectOff`[protected]`

CRect CVuMeter::rectOn`[protected]`

long CVuMeter::style`[protected]`

The documentation for this class was generated from the following files:

- vstcontrols.h
- vstcontrols.cpp

Empty

Copyright ©2006 Steinberg Media Technologies. All Rights Reserved.